Bug 146773 - Metadata sources preference when sorting images
Summary: Metadata sources preference when sorting images
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Date (show other bugs)
Version: 0.9.1
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-14 09:53 UTC by Paweł Marciniak
Modified: 2017-08-13 15:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paweł Marciniak 2007-06-14 09:53:30 UTC
Version:           0.9.1 (using KDE KDE 3.5.7)
Installed from:    Unlisted Binary Package

I've already reported my problem as a comment to closed bug #139264, but it didn't get any attention.

Currently, when digiKam sorts images, it looks first at exif DateTimeOriginal, then exif DateTimeDigitized, and if none of them is available it falls back to the filesystem date. I don't agree with the preference of DateTimeOriginal to DateTimeDigitized, at least as long as digiKam "Adjust Time & Date" feature changes only the latter.

It often happens that I collect pictures from my friends' cameras that don't have their clocks fully synchronized. Then I would like to adjust (in batches) the dates to that all pictures "fit" together. Currently this is impossible, because digiKam would still sort images using the original date that remains unchanged.
Comment 1 caulier.gilles 2007-10-02 09:10:58 UTC
Pawel,

Are you tried with digiKam 0.9.2 ?

Gilles
Comment 2 Paweł Marciniak 2007-10-02 14:08:51 UTC
It seems to work fine in the svn version, you can close it.

Pawel
Comment 3 caulier.gilles 2007-10-02 14:12:50 UTC
Thanks for the report Pawel. I close this file...

Gilles